# EGY\_ID (Egypt ID)

| **Front**                 |                                                                                                          |
| ------------------------- | -------------------------------------------------------------------------------------------------------- |
| faceImage                 | Base64 encoded face image of the user. The format is the same as per the image uploaded, e.g. png or jpg |
| firstNameArabic           | First name in Arabic                                                                                     |
| lastNameArabic            | Last name in Arabic                                                                                      |
| dateOfBirth               | Date of birth                                                                                            |
| dateOfBirthFormatted      | ISO-8601 format yyyy-MM-dd                                                                               |
| dateOfBirthArabic         | Date of birth in Arabic                                                                                  |
| serialNumber              | Serial Number                                                                                            |
| documentNumber            | Document Number                                                                                          |
| personalNumber            | Personal number                                                                                          |
| personalNumberArabic      | Personal number in Arabic                                                                                |
| addressArabic             | Address in Arabic                                                                                        |
| genderArabic              | Gender in Arabic                                                                                         |
| passportNumber            | Passport number                                                                                          |
| nationalityArabic         | Nationality in Arabic                                                                                    |
| **Back**                  |                                                                                                          |
| dateOfBirth               | Date of birth as per MRZ (yyMMdd)                                                                        |
| dateOfBirthFormatted      | ISO-8601 format yyyy-MM-dd                                                                               |
| dateOfBirthArabic         | Date of birth in Arabic                                                                                  |
| issueDate                 | Issue date                                                                                               |
| issueDateFormatted        | ISO-8601 format yyyy-MM-dd                                                                               |
| issueDateArabic           | Document issue date in Arabic                                                                            |
| dateOfExpiry              | Date of expiry                                                                                           |
| dateOfExpiryFormatted     | ISO-8601 format yyyy-MM-dd                                                                               |
| dateOfExpiryArabic        | Document expiry date in Arabic                                                                           |
| personalNumber            | Personal number                                                                                          |
| personalNumberArabic      | Personal number in Arabic                                                                                |
| genderArabic              | Gender in Arabic                                                                                         |
| maritalStatusArabic       | Marital status in Arabic                                                                                 |
| occupationArabic          | Profession in Arabic                                                                                     |
| religionArabic            | Religion in Arabic                                                                                       |
| secondaryId               | Given names of the user as per MRZ                                                                       |
| primaryId                 | Surname of the user as per MRZ                                                                           |
| dateOfExpiryFull          | Date of expiry full format (dd/MM/yyyy)                                                                  |
| dateOfExpiryFullFormatted | ISO-8601 format yyyy-MM-dd                                                                               |
| documentNumber            | Document number as per MRZ                                                                               |
| nationality               | Nationality as per MRZ                                                                                   |
| issuer                    | Issuer as per MRZ                                                                                        |
| sex                       | Gender as per MRZ                                                                                        |
| documentCode              | Document code as per MRZ                                                                                 |
| mrzText                   | MRZ text                                                                                                 |
| mrzVerified               | MRZ checksum verified true or false                                                                      |
| residencyTypeArabic       | Residency type in Arabic                                                                                 |
| printerNumberArabic       | Printer number in Arabic                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-api/scan/country-specific-ids/egy_id-egypt-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
